%define gtk2_version 2.4.0
%define libglade2_version 2.3.6
%define gconf2_version 2.6.0
%define libgnomeui_version 2.6.0
%define libgcrypt_version 1.2.0

Summary: A remote desktop system for GNOME
Name: vino
Version: 2.8.1
Release: 1
URL: http://www.gnome.org
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Prereq: GConf2 >= %{gconf2_version}

Requires: gtk2 >= %{gtk2_version}
Requires: libglade2 >= %{libglade2_version}
Requires: GConf2 >= %{gconf2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: libgcrypt >= %{libgcrypt_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libglade2-devel >= %{libglade2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgcrypt-devel >= %{libgcrypt_version}

# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=131632
Patch1: vino-nohelp.patch

%description
Vino is a VNC server for GNOME. It allows remote users to
connect to a running GNOME session using VNC.

%prep
%setup -q

%patch1 -p1 -b .nohelp

%build
%configure --disable-gnutls --disable-session-support --disable-http-server
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/control-center-2.0/capplets          \
  --add-only-show-in GNOME                                              \
  --add-category X-Red-Hat-Base                                         \
  $RPM_BUILD_ROOT%{_datadir}/control-center-2.0/capplets/vino-preferences.desktop

# stuff we don't want
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/vino/vino-client.*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="vino-server.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README docs/TODO docs/remote-desktop.txt
%{_datadir}/gnome/vino/*.glade
%{_datadir}/control-center-2.0/capplets/*.desktop
%{_datadir}/pixmaps/*.png
%{_libdir}/bonobo/servers/*.server
%{_bindir}/*
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.1-1
- Update to 2.8.1
- Remove backported fixes

* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1.1
- Don't hang with metacity's "reduced resources" mode (#134240) 
- Improve the key repeat rate situation a good deal (#134451)

* Wed Sep 29 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1
- Update to 2.8.0.1

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0
- Remove upstreamed work-without-gnutls patch

* Tue Sep  7 2004 Matthias Clasen <mclasen@redhat.com> 2.7.92-3
- Disable help button until there is help (#131632)
 
* Wed Sep  1 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-2
- Add patch to fix hang without GNU TLS (bug #131354)

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-1
- Update to 2.7.92

* Tue Aug 17 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Mon Aug 16 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-2
- Define libgcrypt_version

* Thu Aug 12 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.4-1
- Update to 2.7.4

* Tue Jul 13 2004 Mark McLoughlin <markmc@redhat.com> 2.7.3.1-1
- Initial build.
